# WOK
TKWOK
WOKNT

# WOKNT_PathIterator Class Reference

`#include <WOKNT_PathIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKNT_PathIterator (const Handle(WOKNT_Path)&apath, const Standard_Boolean recursive=Standard_False, const Standard_CString mask="*")
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_WOKNT_Path | PathValue () const
Standard_EXPORT Standard_Integer | LevelValue () const
Standard_EXPORT Handle_TCollection_HAsciiString | NameValue () const
Standard_EXPORT Handle_WOKNT_Path | BrowsedPath () const
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Destroy () const
void | operator~ () const

## Private Member Functions

Standard_EXPORT void | SkipDots ()
Standard_EXPORT void | Push (const WOKNT_FindData &data, const WOKNT_Handle &handle)
Standard_EXPORT void | Pop ()

## Static Private Member Functions

static Standard_EXPORT Standard_Boolean | IsDots (const Standard_CString aname)

## Private Attributes

TCollection_AsciiString | mymask
Handle_WOKNT_Path | mypath
WOKNT_FindData | mydata
WOKNT_StackOfHandle | myStack
Standard_Boolean | mymore
Standard_Boolean | myrecflag

## Constructor & Destructor Documentation

Standard_EXPORT WOKNT_PathIterator::WOKNT_PathIterator | ( | const Handle(WOKNT_Path)& | apath,
|  | const Standard_Boolean | recursive = `Standard_False`,
|  | const Standard_CString | mask = `"*"`
| ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKNT_Path WOKNT_PathIterator::BrowsedPath | ( |  | ) | const

Standard_EXPORT void WOKNT_PathIterator::Destroy | ( |  | ) | const

static Standard_EXPORT Standard_Boolean WOKNT_PathIterator::IsDots | ( | const Standard_CString | aname | ) | `[static, private]`

Standard_EXPORT Standard_Integer WOKNT_PathIterator::LevelValue | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKNT_PathIterator::More | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKNT_PathIterator::NameValue | ( |  | ) | const

Standard_EXPORT void WOKNT_PathIterator::Next | ( |  | ) |

void WOKNT_PathIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKNT_PathIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKNT_PathIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void WOKNT_PathIterator::operator~ | ( |  | ) | const`[inline]`

Standard_EXPORT Handle_WOKNT_Path WOKNT_PathIterator::PathValue | ( |  | ) | const

Standard_EXPORT void WOKNT_PathIterator::Pop | ( |  | ) | `[private]`

Standard_EXPORT void WOKNT_PathIterator::Push | ( | const WOKNT_FindData & | data,
|  | const WOKNT_Handle & | handle
| ) | `[private]`

Standard_EXPORT void WOKNT_PathIterator::SkipDots | ( |  | ) | `[private]`

## Field Documentation

WOKNT_FindData WOKNT_PathIterator::mydata `[private]`

TCollection_AsciiString WOKNT_PathIterator::mymask `[private]`

Standard_Boolean WOKNT_PathIterator::mymore `[private]`

Handle_WOKNT_Path WOKNT_PathIterator::mypath `[private]`

Standard_Boolean WOKNT_PathIterator::myrecflag `[private]`

WOKNT_StackOfHandle WOKNT_PathIterator::myStack `[private]`

The documentation for this class was generated from the following file:

- WOKNT_PathIterator.hxx